play.data.parsing

## Class MultipartStream.MalformedStreamException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - play.data.parsing.MultipartStream.MalformedStreamException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    MultipartStream

      public static class MultipartStream.MalformedStreamException
      extends java.io.IOException

  Thrown to indicate that the input stream fails to follow the required syntax.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MalformedStreamException()` Constructs a `MalformedStreamException` with no detail message.
    `MalformedStreamException(java.lang.String message)` Constructs an `MalformedStreamException` with the specified detail message.
    `MalformedStreamException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MalformedStreamException

          public MalformedStreamException()

      Constructs a `MalformedStreamException` with no detail message.

    - #### MalformedStreamException

          public MalformedStreamException(java.lang.String message)

      Constructs an `MalformedStreamException` with the specified detail message.
      Parameters:
        `message` - The detail message.

    - #### MalformedStreamException

          public MalformedStreamException(java.lang.String message,
                                          java.lang.Throwable cause)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly